DROP TABLE IF EXISTS vote_utilisateur;
DROP TABLE IF EXISTS utilisateur;
DROP TABLE IF EXISTS poll;
DROP TABLE IF EXISTS vote;


CREATE TABLE vote (
  vote_id UUID,
  vote_option VARCHAR(255),
  nbr_vote INT,
  PRIMARY KEY (vote_id)
);

CREATE TABLE poll (
  poll_id UUID,
  vote_id UUID,
  question VARCHAR(255),
  opened BOOLEAN,
  PRIMARY KEY (poll_id),
  FOREIGN KEY (vote_id) REFERENCES vote(vote_id)
);

CREATE TABLE utilisateur (
  user_id BIGINT,
  global_name VARCHAR(255),
  avatar TEXT,
  PRIMARY KEY (user_id)
);

CREATE TABLE vote_utilisateur (
  user_id BIGINT,
  vote_id UUID,
  poll_id UUID,
  FOREIGN KEY (user_id) REFERENCES utilisateur(user_id),
  FOREIGN KEY (vote_id) REFERENCES vote(vote_id),
  FOREIGN KEY (poll_id) REFERENCES poll(poll_id)
);
